Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.jws.soap
Enum SOAPBinding.Style

    java.lang.Object
      java.lang.Enum<SOAPBinding.Style>
          javax.jws.soap.SOAPBinding.Style

All Implemented Interfaces:
  Serializable, Comparable<SOAPBinding.Style>

Enclosing class:
  SOAPBinding

    public static enum SOAPBinding.Style

extends Enum<SOAPBinding.Style>

The SOAP binding style

Enum Constant Summary
`DOCUMENT`
`RPC`

Method Summary
`static SOAPBinding.Style` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SOAPBinding.Style[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final SOAPBinding.Style DOCUMENT

### RPC

    public static final SOAPBinding.Style RPC

Method Detail

### values

    public static SOAPBinding.Style[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SOAPBinding.Style c : SOAPBinding.Style.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SOAPBinding.Style valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2011, Oracle and/or its affiliates. All rights reserved.